Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class DataviewDropTarget

    java.lang.Object
      java.awt.dnd.DropTarget
          samples.javaclient.analyzer.DataviewDropTarget

All Implemented Interfaces:
  java.awt.dnd.DropTargetListener, java.util.EventListener, java.io.Serializable

public class DataviewDropTarget
extends java.awt.dnd.DropTarget

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.dnd.DropTarget
`java.awt.dnd.DropTarget.DropTargetAutoScroller`

Field Summary
`(package private) oracle.dss.dataView.Dataview` | `m_dataview`
`(package private) Worksheet` | `m_worksheet`

Fields inherited from class java.awt.dnd.DropTarget
``

Constructor Summary
`DataviewDropTarget()`
`DataviewDropTarget(java.awt.Component component, int ops, java.awt.dnd.DropTargetListener dtl)`

Method Summary
`oracle.dss.dataView.Dataview` | `getDataview()`
`Worksheet` | `getWorksheet()`
`void` | `setDataview(oracle.dss.dataView.Dataview dataview)`
`void` | `setWorksheet(Worksheet worksheet)`

Methods inherited from class java.awt.dnd.DropTarget
`addDropTargetListener, addNotify, clearAutoscroll, createDropTargetAutoScroller, createDropTargetContext, dragEnter, dragExit, dragOver, drop, dropActionChanged, getComponent, getDefaultActions, getDropTargetContext, getFlavorMap, initializeAutoscrolling, isActive, removeDropTargetListener, removeNotify, setActive, setComponent, setDefaultActions, setFlavorMap, updateAutoscroll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_dataview

    oracle.dss.dataView.Dataview m_dataview

### m_worksheet

    Worksheet m_worksheet

Constructor Detail

### DataviewDropTarget

    public DataviewDropTarget()

### DataviewDropTarget

    public DataviewDropTarget(java.awt.Component component,
                              int ops,
                              java.awt.dnd.DropTargetListener dtl)

Method Detail

### getDataview

    public oracle.dss.dataView.Dataview getDataview()

### setDataview

    public void setDataview(oracle.dss.dataView.Dataview dataview)

### setWorksheet

    public void setWorksheet(Worksheet worksheet)

### getWorksheet

    public Worksheet getWorksheet()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD